require_relative 'project'

module CrowdFund
  class GrantProject < Project
    def initialize(name, funding_goal, funding = 0, backers = 0)
      super(name, funding_goal, funding, backers)
      @name = "[GRANT] #{name.capitalize}"
    end
  
    def remove_funds(amount = 0)
      puts "Project #{@name} is a Grant Project and cannot have funds removed!"        
    end
  end

  if __FILE__ == $0
    grant = GrantProject.new("battery", 150)
    puts grant.name_and_funding
    grant.add_funds(100)
    2.times { grant.add_funds }
    puts grant.name_and_funding
    8.times { grant.remove_funds }
    puts grant.name_and_funding
  end
end
